import type { Tile, Map, MapObject } from '@/application/types'
import { BaseStorage } from '@/storage/baseStorage'

export class MapStorage extends BaseStorage<Map> {
  constructor() {
    super('maps', 'id, name, createdAt, updatedAt')
  }
}

export class TileStorage extends BaseStorage<Tile> {
  constructor() {
    super('tiles', 'id, name, createdAt, updatedAt')
  }
}

export class MapObjectStorage extends BaseStorage<MapObject> {
  constructor() {
    super('mapObjects', 'id, name, createdAt, updatedAt')
  }
}

export class SpriteStorage extends BaseStorage<any> {
  constructor() {
    super('sprites', 'id, name, createdAt, updatedAt')
  }
}

export class CharacterTypeStorage extends BaseStorage<any> {
  constructor() {
    super('characterTypes', 'id, name, createdAt, updatedAt')
  }
}

export class CharacterHairStorage extends BaseStorage<any> {
  constructor() {
    super('characterHairs', 'id, name, createdAt, updatedAt')
  }
}

